---
lang: en
title: 'API docs: rest.routingtable.joinpath'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.routingtable.joinpath.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RoutingTable](./rest.routingtable.md) &gt; [joinPath](./rest.routingtable.joinpath.md)

## RoutingTable.joinPath() method

<b>Signature:</b>

```typescript
static joinPath(basePath: string, path: string): string;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  basePath | <code>string</code> |  |
|  path | <code>string</code> |  |

<b>Returns:</b>

`string`


